#### D.12.4.3 sameComponent

Procedure from library `teachstd.lib` (see teachstd_lib).

Usage:
  sameComponent(f,g); f,g poly or vector

Return:
  1 if f and g are of type poly or if f and g are of type vector and their leading monomials involve the same module component, 0 if not

Example:

    LIB "teachstd.lib";
    ring r=0,(x,y,z),dp;
    sameComponent([y+z+x,xyz],[z2,xyz]);
    ==> 1
    sameComponent([y+z+x,xyz],[z4,xyz]);
    ==> 0
    sameComponent(y+z+x+xyz, xy+z5);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.